SYS_EXIT equ 0x1
SYS_READ equ 0x3
SYS_WRITE equ 0x4

STDIN equ 0x0
STDOUT equ 0x1
STDERR equ 0x2

section .data
	inputMsg db "> ", 0x0
	inputLen equ $ - inputMsg

section .bss
	char resb 1
	exitCode resb 1

section .text
	global _start

_start:
	mov r8, 0
	mov [exitCode], r8

	mov rax, SYS_READ
	mov rbx, STDIN
	mov rcx, input
	mov rdx, 64
	int 0x80

	;mov rax, SYS_WRITE
	;mov rbx, STDOUT
	;mov rcx, inputMsg
	;mov rdx, inputLen
	;int 0x80

	mov rax, SYS_EXIT
	mov rbx, [exitCode]
	int 0x80
